﻿@model Avira.MarketingResearch.Model.ViewModels.CompanyProfile.MainCompanyProductViewMoel
@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_LayoutWithCompanyTabAndLeftMenu.cshtml";
}
<link href="~/assets/css/avira-custom.css" rel="stylesheet" />
<script src="~/assets/plugins/jquery/jquery-3.3.1.min.js"></script>
<script src="~/assets/js/page-table-manage.demo.min.js"></script>
<style>
    .product-service-table {
        min-width: 2400px;
    }
    .p-name {
        min-width: 200px;
    }
    .p-s-name{
        min-width:200px;
    }
    .l-date {
        min-width: 200px;
    }
    .p-category {
        min-width: 200px;
    }
    .segment-heading {
        min-width: 200px;
    }
    .p-revenue {
        min-width: 600px;
    }
    .t-geography {
        min-width: 200px;
    }
    .patents-heading {
        min-width: 200px;
    }
    .desciption-heading {
        min-width: 200px;
    }
    .status-heading {
        min-width: 200px;
    }
    .image-heading {
        min-width: 200px;
    }
</style>
<h2>Index</h2>
@using (Html.BeginForm("Index", "CompanyProduct", FormMethod.Post, new { id = "CompanyProduct", name = "CompanyProduct", @class = "", enctype = "multipart/form-data" }))
{
<div id="content" class="content">
    <div class="section-with-top-border">
        <div class="row">
            <div class="col-lg-4">
                <div class="clearfix">
                    <h5 class="m-t-0">Project Name: @ViewBag.ProjectName</h5>
                </div>
            </div>
            <div class="col-lg-4">
                <div class="clearfix">
                    <h5 class="m-t-0">Company Name: @ViewBag.CompanyName</h5>
                </div>
            </div>
            <div class="col-lg-4">
                <div class="clearfix">
                    <h5 class="m-t-0">Status: @ViewBag.StatusName</h5>
                </div>
            </div>
        </div>
    </div>
    <div class="section-container section-with-top-border p-b-10"></div>
        @if (ViewBag.Message != null)
        {
            <div class="alert alert-success alert-bordered show m-b-10">
                <strong>Info!</strong>
                @ViewBag.Message
                <span class="close" data-dismiss="alert">×</span>
            </div>
        }
        @Html.HiddenFor(Model => Model.CompanyId)
        @Html.HiddenFor(Model => Model.ProjectId)
        <div class="section-with-top-border p-b-10 p-t-20">
            <!-- begin row -->
            <div class="row">
                <!-- begin col-8 -->
                <div class="col-md-12">
                    <!-- begin panel -->
                    <div class="panel">
                        <div class="table-responsive">
                            <table id="tblTrends" class="table table-bordered table-hover table-striped table-td-valign-middle product-service-table">
                                <thead>
                                    <tr class="inverse">
                                        <th class="text-center p-name">Project Name</th>
                                        <th class="text-center p-s-name">Product/Service Name <span class="text-danger">*</span></th>
                                        <th class="text-center l-date">Launch Date</th>
                                        <th class="text-center p-category">Product Category<span class="text-danger">*</span></th>
                                        <th class="text-center segment-heading">Segment <span class="text-danger">*</span> </th>
                                        <th class="text-center p-revenue" colspan="3">Product Revenue</th>
                                        <th class="text-center t-geography">Targeted Geography <span class="text-danger">*</span></th>
                                        <th class="text-center patents-heading">Patents</th>
                                        <th class="text-center desciption-heading">Description/Comments/Remarks</th>
                                        <th class="text-center status-heading">Status <span class="text-danger">*</span></th>
                                        <th class="text-center image-heading">Image</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @for (int k = 0; k < Model.CompanyProductViewMoel.Count; k++)
                                    {
                                        <tr>
                                            <td class="text-center">
                                                @Html.TextBoxFor(Model => Model.CompanyProductViewMoel[k].ProjectName, new { @class = "form-control ", @readonly = true })
                                                @Html.HiddenFor(Model => Model.CompanyProductViewMoel[k].CompanyId)
                                                @Html.HiddenFor(Model => Model.CompanyProductViewMoel[k].ProjectId)
                                            </td>
                                            <td class="text-center">
                                                @Html.HiddenFor(Model => Model.CompanyProductViewMoel[k].Id)
                                                @Html.TextBoxFor(Model => Model.CompanyProductViewMoel[k].ProductName, new { @class = "form-control " })
                                            </td>
                                            <td class="text-center">
                                                @Html.TextBoxFor(Model => Model.CompanyProductViewMoel[k].LaunchDate, "{0:yyyy-MM-dd}", new { @class = "form-control", @type = "date" })
                                            </td>
                                            <td class="text-center">
                                                @Html.ListBoxFor(Model => Model.CompanyProductViewMoel[k].ProductCategoryId, new SelectList(ViewBag.ProductCategoryList, "Id", "ProductCategoryName"), new { @class = "form-control selectpicker", multiple = "multiple", data_live_search = "true" })
                                            </td>
                                            <td class="text-center">
                                                @Html.ListBoxFor(Mode => Model.CompanyProductViewMoel[k].ProductSegmentId, new SelectList(ViewBag.SegmentList, "Id", "SegmentName"), new { @class = "form-control selectpicker", multiple = "multiple", data_live_search = "true" })
                                            </td>
                                            <td class="text-center">
                                                @Html.TextBoxFor(Model => Model.CompanyProductViewMoel[k].Amount, new { @class = "form-control" })
                                            </td>
                                            <td class="text-center">
                                                @Html.DropDownListFor(Model => Model.CompanyProductViewMoel[k].CurrencyId, new SelectList(ViewBag.CurrencyList, "Id", "CurrencyName"),  new { @class = "form-control" })
                                            </td>
                                            <td class="text-center">
                                                @Html.DropDownListFor(Mode => Model.CompanyProductViewMoel[k].ValueConversionId, new SelectList(ViewBag.ValueList, "ValueConversionId", "ValueName"),  new { @class = "form-control" })
                                            </td>
                                            <td class="text-center">
                                                @Html.ListBoxFor(Mode => Model.CompanyProductViewMoel[k].ProductCountryId, new SelectList(ViewBag.CountryList, "CountryId", "CountryName"), new { @class = "form-control selectpicker", multiple = "multiple", data_live_search = "true" })
                                            </td>
                                            <td class="text-center">
                                                @Html.TextBoxFor(Model => Model.CompanyProductViewMoel[k].Patents, new { @class = "form-control" })
                                            </td>
                                            <td class="text-center">
                                                @Html.TextAreaFor(Model => Model.CompanyProductViewMoel[k].Description, 1, 1, new { @class = "form-control" })
                                            </td>
                                            <td class="text-center">
                                                @Html.DropDownListFor(Model => Model.CompanyProductViewMoel[k].ProductStatusId, new SelectList(ViewBag.ProductStatusList, "Id", "ProductStatusName"),  new { @class = "form-control" })
                                            </td>
                                            <td class="text-center">
                                                <input type="file" name="CompanyProductViewMoel[@k.ToString()].ImageFile" />
                                                @Html.ValidationMessageFor(m => m.CompanyProductViewMoel[k].ImageFile, null, new { @class = "text-danger" })
                                                @Html.HiddenFor(Model => Model.CompanyProductViewMoel[k].ImageDisplayName)
                                                @Html.HiddenFor(Model => Model.CompanyProductViewMoel[k].ImageURL)
                                                @Html.HiddenFor(Model => Model.CompanyProductViewMoel[k].ImageActualName)
                                                <a target="_blank" href="@String.Concat(ViewBag.ApiBaseURL,Model.CompanyProductViewMoel[k].ImageURL)">@Model.CompanyProductViewMoel[k].ImageDisplayName</a>

                                            </td>
                                        </tr>
                                    }

                                    <tr>
                                        <td class="text-center"></td>
                                        <td class="text-center"></td>
                                        <td class="text-center"></td>
                                        <td class="text-center"></td>
                                        <td class="text-center"></td>
                                        <td class="text-center"></td>
                                        <td class="text-center"></td>
                                        <td class="text-center"></td>
                                        <td class="text-center"></td>
                                        <td class="text-center"></td>
                                        <td class="text-center"></td>
                                        <td class="text-center"></td>
                                        <td class="text-right">
                                            <button type="submit" name="actionName" value="AddRow" class="btn btn-grey m-b-5"><i class="fas fa-plus-circle" id="strow"></i></button>
                                        </td>
                                    </tr>

                                </tbody>
                            </table>
                        </div>
                    </div>
                    <!-- end panel -->
                </div>
                <!-- end col-8 -->
                <!-- end col-4 -->
            </div>
            <!-- end row -->
        </div>
        <div class="section-with-top-border p-b-5">
            <div class="row">
                <!-- begin col-6 -->
                <div class="col-lg-6">
                    <div class="panel panel-info" data-sortable-id="ui-widget-8">
                        <div class="panel-heading">
                            <div class="panel-heading-btn">
                                <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-white"
                                   data-click="panel-expand"><i class="fa fa-expand"></i></a>
                            </div>
                            <h4 class="panel-title">Author Notes <span class="text-danger">*</span></h4>
                        </div>
                        @Html.TextAreaFor(model => model.CompanyNoteViewModel.AuthorRemark, 4, 3, htmlAttributes: new { @class = "form-control no-rounded-corner" })
                        <script>
                            CKEDITOR.replace('CompanyNoteViewModel.AuthorRemark', {
                                height: 40,
                                toolbarGroups: [{
                                    "name": "basicstyles",
                                    "groups": ["basicstyles"]
                                },
                                {
                                    "name": "links",
                                    "groups": ["links"]
                                },
                                {
                                    "name": "paragraph",
                                    "groups": ["list", "blocks"]
                                },

                                {
                                    "name": "document",
                                    "groups": ["mode"]
                                },
                                {
                                    "name": "insert",
                                    "groups": ["insert"]
                                },
                                {
                                    "name": "styles",
                                    "groups": ["styles"]
                                },
                                {
                                    "name": "about",
                                    "groups": ["about"]
                                }
                                ],
                                removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'
                            });
                        </script>

                    </div>
                </div>
                <!-- end col-6 -->
                <!-- begin col-6 -->
                <div class="col-lg-6">
                    <div class="panel panel-info" data-sortable-id="ui-widget-8">
                        <div class="panel-heading">
                            <div class="panel-heading-btn">
                                <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-white"
                                   data-click="panel-expand"><i class="fa fa-expand"></i></a>
                            </div>
                            <h4 class="panel-title">Approver Notes</h4>
                        </div>
                        @Html.TextAreaFor(model => model.CompanyNoteViewModel.ApproverRemark, 4, 3, htmlAttributes: new { @class = "form-control no-rounded-corner" })
                        <script>
                            CKEDITOR.replace('CompanyNoteViewModel.ApproverRemark', {
                                height: 40,
                                toolbarGroups: [{
                                    "name": "basicstyles",
                                    "groups": ["basicstyles"]
                                },
                                {
                                    "name": "links",
                                    "groups": ["links"]
                                },
                                {
                                    "name": "paragraph",
                                    "groups": ["list", "blocks"]
                                },

                                {
                                    "name": "document",
                                    "groups": ["mode"]
                                },
                                {
                                    "name": "insert",
                                    "groups": ["insert"]
                                },
                                {
                                    "name": "styles",
                                    "groups": ["styles"]
                                },
                                {
                                    "name": "about",
                                    "groups": ["about"]
                                }
                                ],
                                removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'
                            });
                        </script>
                    </div>
                </div>
            </div>
            <!-- end row -->
        </div>
        <!-- end section-container -->
        @*<div style="text-align: center;">
                <p>
                    <a class="btn btn-grey m-b-5" href="share-volume-graph.html">Previous</a>
                    <button type="submit" name="actionName" value="Save" class="btn btn-grey m-b-5">Save</button>
                    <button type="button" class="btn btn-grey m-b-5">Clear</button>
                    <button type="button" class="btn btn-grey m-b-5">Submit</button>
                    <button type="button" class="btn btn-grey m-b-5">Approve</button>
                    <button type="button" class="btn btn-grey m-b-5">Reject</button>
                    <a class="btn btn-grey m-b-5" href="news.html">Next</a>
                </p>
            </div>*@
        @Html.Partial("~/Views/Shared/_CompanyAction.cshtml")
    </div>
    }
